Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class EIndexObject

    java.lang.Object
      com.sun.mdm.index.parser.EIndexObject

public class EIndexObject
extends java.lang.Object

Constructor Summary
`EIndexObject()`

Method Summary
`java.lang.String` | `getApplicationName()` Application Name It can be different from Primary Object Name
`java.lang.String` | `getAppServer()`
`java.lang.String` | `getDataBase()`
`java.lang.String` | `getDateFormat()`
`java.lang.String` | `getName()`
`NodeDef` | `getNode(java.lang.String name)`
`java.util.ArrayList` | `getNodes()`
`java.lang.String` | `getObjectName()`
`java.util.ArrayList` | `getRelationships()`
`java.util.ArrayList` | `getSystems()`
`boolean` | `isModified()`
`static void` | `main(java.lang.String[] args)` The main program for the EIndexObject class
`void` | `parse(org.w3c.dom.Node node)`
`void` | `setDataBase(java.lang.String database)`
`void` | `setDateFormat(java.lang.String dateformat)`
`void` | `setModified(boolean flag)`
`void` | `setSystems(java.util.ArrayList systems)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EIndexObject

    public EIndexObject()

Method Detail

### getApplicationName

    public java.lang.String getApplicationName()

  Application Name It can be different from Primary Object Name

  Returns:
    String ret String

### getAppServer

    public java.lang.String getAppServer()

  Returns:
    String ret String

### getDataBase

    public java.lang.String getDataBase()

  Returns:
    String ret String

### getDateFormat

    public java.lang.String getDateFormat()

  Returns:
    String DateFormat String

### getName

    public java.lang.String getName()

  Returns:
    String ret String

### getNode

    public NodeDef getNode(java.lang.String name)

  Parameters:
    `name` - node name
  Returns:
    NodeDef node definition

### getNodes

    public java.util.ArrayList getNodes()

  Returns:
    ArrayList list

### getObjectName

    public java.lang.String getObjectName()

  Returns:
    String ret String

### getRelationships

    public java.util.ArrayList getRelationships()

  Returns:
    ArrayList list

### getSystems

    public java.util.ArrayList getSystems()

  Returns:
    ArrayList list

### isModified

    public boolean isModified()

  Returns:
    boolean flag

### main

    public static void main(java.lang.String[] args)

  The main program for the EIndexObject class

  Parameters:
    `args` - The command line arguments

### parse

    public void parse(org.w3c.dom.Node node)

  Parameters:
    `node` - node

### setDataBase

    public void setDataBase(java.lang.String database)

### setDateFormat

    public void setDateFormat(java.lang.String dateformat)

### setModified

    public void setModified(boolean flag)

### setSystems

    public void setSystems(java.util.ArrayList systems)

### toString

    public java.lang.String toString()

  Returns:
    String ret String

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.